diff --git a/src/modules/frontend/gtk/screenshot.c b/src/modules/frontend/gtk/screenshot.c
index 24bc3dcc..1c854f76 100644
--- a/src/modules/frontend/gtk/screenshot.c
+++ b/src/modules/frontend/gtk/screenshot.c
@@ -183,6 +183,7 @@ GtkWidget * cdebconf_gtk_create_screenshot_button(struct frontend * fe)
 {
     struct frontend_data * fe_data = fe->data;
     GtkWidget * action_box = fe_data->action_box;
+    GList * focus_chain;
     GtkWidget * button;
     char * label;
 
@@ -199,8 +200,10 @@ GtkWidget * cdebconf_gtk_create_screenshot_button(struct frontend * fe)
                        TRUE /* expand */, TRUE /* fill */, DEFAULT_PADDING);
     gtk_button_box_set_child_secondary(GTK_BUTTON_BOX(action_box),
                                        button, TRUE);
-    /* Remove the screenshot button from the focus chain. */
-    gtk_container_set_focus_chain(GTK_CONTAINER(action_box), NULL);
+    gtk_container_get_focus_chain(GTK_CONTAINER(action_box), &focus_chain);
+    focus_chain = g_list_prepend(focus_chain, button);
+    gtk_container_set_focus_chain(GTK_CONTAINER(action_box), focus_chain);
+    g_list_free(focus_chain);
 
     return button;
 }
